org.apache.ignite.internal.processors.dr

## Enum GridDrType

- java.lang.Object
- - java.lang.Enum<GridDrType>
  - - org.apache.ignite.internal.processors.dr.GridDrType

All Implemented Interfaces:
  Serializable, Comparable<GridDrType>

    public enum GridDrType
    extends Enum<GridDrType>

Data center replication type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DR_BACKUP` Regular replication on backup node.
`DR_LOAD` Replication during load.
`DR_NONE` Do not replicate that entry.
`DR_PRELOAD` Replication during preload.
`DR_PRIMARY` Regular replication on primary node.

### Method Summary

All Methods Static Methods Concrete Methods
`static GridDrType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridDrType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DR_NONE

    public static final GridDrType DR_NONE

Do not replicate that entry.

#### DR_PRIMARY

    public static final GridDrType DR_PRIMARY

Regular replication on primary node.

#### DR_BACKUP

    public static final GridDrType DR_BACKUP

Regular replication on backup node.

#### DR_LOAD

    public static final GridDrType DR_LOAD

Replication during load.

#### DR_PRELOAD

    public static final GridDrType DR_PRELOAD

Replication during preload.

### Method Detail

#### values

    public static GridDrType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridDrType c : GridDrType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridDrType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021